var search_data = {"index":{"searchIndex":["execsandbox","sandbox","spawn","libc","rubyvm","users","wait4","libc","rusage","_setrlimit()","_wait4()","cleanup()","close()","create()","destroy()","destroy_temps()","finalize()","limit_io()","limit_resources()","named()","new()","open()","pull()","push()","rb_reserved_fd_p()","run()","set_principal()","spawn()","temp()","use()","wait4()","wait4_nonblock()","license","readme"],"longSearchIndex":["execsandbox","execsandbox::sandbox","execsandbox::spawn","execsandbox::spawn::libc","execsandbox::spawn::rubyvm","execsandbox::users","execsandbox::wait4","execsandbox::wait4::libc","execsandbox::wait4::rusage","execsandbox::spawn::_setrlimit()","execsandbox::wait4::_wait4()","execsandbox::sandbox::cleanup()","execsandbox::sandbox#close()","execsandbox::users::create()","execsandbox::users::destroy()","execsandbox::users::destroy_temps()","execsandbox::sandbox#finalize()","execsandbox::spawn::limit_io()","execsandbox::spawn::limit_resources()","execsandbox::users::named()","execsandbox::sandbox::new()","execsandbox::open()","execsandbox::sandbox#pull()","execsandbox::sandbox#push()","execsandbox::spawn::rubyvm::rb_reserved_fd_p()","execsandbox::sandbox#run()","execsandbox::spawn::set_principal()","execsandbox::spawn::spawn()","execsandbox::users::temp()","execsandbox::use()","execsandbox::wait4::wait4()","execsandbox::wait4::wait4_nonblock()","",""],"info":[["ExecSandbox","","ExecSandbox.html","","<p>TODO(pwnall): documentation\n<p>namespace\n<p>namespace\n"],["ExecSandbox::Sandbox","","ExecSandbox/Sandbox.html","","<p>Manages sandboxed processes.\n"],["ExecSandbox::Spawn","","ExecSandbox/Spawn.html","","<p>Manages sandboxed processes.\n"],["ExecSandbox::Spawn::LibC","","ExecSandbox/Spawn/LibC.html","","<p>Maps raw I/O functions.\n"],["ExecSandbox::Spawn::RubyVM","","ExecSandbox/Spawn/RubyVM.html","","<p>Maps an internal MRI function that we need.\n"],["ExecSandbox::Users","","ExecSandbox/Users.html","","<p>Manages sandbox users.\n<p>@see Users#temp @see Users#destroy\n"],["ExecSandbox::Wait4","","ExecSandbox/Wait4.html","","<p>Interface to the wait4 system call using the ffi library.\n"],["ExecSandbox::Wait4::LibC","","ExecSandbox/Wait4/LibC.html","","<p>Maps wait4 in libc.\n"],["ExecSandbox::Wait4::Rusage","","ExecSandbox/Wait4/Rusage.html","","<p>Maps struct rusage in sys/resource.h, used by wait4.\n"],["_setrlimit","ExecSandbox::Spawn","ExecSandbox/Spawn.html#method-c-_setrlimit","(limit, value)","<p>Wrapper for Process.setrlimit that eats exceptions.\n"],["_wait4","ExecSandbox::Wait4","ExecSandbox/Wait4.html#method-c-_wait4","(pid, options)","<p>@private\n"],["cleanup","ExecSandbox::Sandbox","ExecSandbox/Sandbox.html#method-c-cleanup","()","<p>Removes temporary users created by old sandboxes.\n<p>Sandboxes usually clean up after themselves. For the …\n"],["close","ExecSandbox::Sandbox","ExecSandbox/Sandbox.html#method-i-close","()","<p>Removes the files and temporary user associated with this sandbox.\n"],["create","ExecSandbox::Users","ExecSandbox/Users.html#method-c-create","(user_name, primary_group_name = nil)","<p>Creates a user for unprivileged operations.\n<p>@param [String] user_name the user’s short (UNIX) name …\n"],["destroy","ExecSandbox::Users","ExecSandbox/Users.html#method-c-destroy","(user_name)","<p>Removes a user that was previously created by create.\n<p>@param [String] user_name the user’s short ( …\n"],["destroy_temps","ExecSandbox::Users","ExecSandbox/Users.html#method-c-destroy_temps","(prefix = 'xsbx.rb')","<p>Destroys users created by temp.\n<p>@param [String] prefix match the prefix given to temp @return [Array&lt;String&gt;] …\n"],["finalize","ExecSandbox::Sandbox","ExecSandbox/Sandbox.html#method-i-finalize","()","<p>Cleans up when the sandbox object is garbage-collected.\n"],["limit_io","ExecSandbox::Spawn","ExecSandbox/Spawn.html#method-c-limit_io","(io)","<p>Constraints the available file descriptors.\n<p>@param [Hash] io associates file descriptors with IO objects …\n"],["limit_resources","ExecSandbox::Spawn","ExecSandbox/Spawn.html#method-c-limit_resources","(limits)","<p>Constrains the resource usage of the current process.\n<p>@param [Hash{Symbol =&gt; Number}] limits the constraints …\n"],["named","ExecSandbox::Users","ExecSandbox/Users.html#method-c-named","(pattern)","<p>Finds users whose names match a String or Regexp pattern.\n<p>@param [String] pattern matched against user …\n"],["new","ExecSandbox::Sandbox","ExecSandbox/Sandbox.html#method-c-new","(admin)","<p>Empty sandbox.\n<p>@param [String] admin the name of a user who will be able to peek into the\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">sandbox</span>\n</pre>\n"],["open","ExecSandbox","ExecSandbox.html#method-c-open","(admin = Etc.getlogin)","<p>Creates a sandbox.\n<p>The sandbox should be disposed of by calling {Sandbox#close} on it. This method is …\n"],["pull","ExecSandbox::Sandbox","ExecSandbox/Sandbox.html#method-i-pull","(from, to)","<p>Copies a file or directory from the sandbox.\n<p>@param [String] from relative path to the sandbox file or …\n"],["push","ExecSandbox::Sandbox","ExecSandbox/Sandbox.html#method-i-push","(from, options = {})","<p>Copies a file or directory to the sandbox.\n<p>@param [String] from path to the file or directory to be copied …\n"],["rb_reserved_fd_p","ExecSandbox::Spawn::RubyVM","ExecSandbox/Spawn/RubyVM.html#method-c-rb_reserved_fd_p","(fd)","<p>Emulation of internal MRI function.\n<p>This is a fallback, used in case FFI can’t find the MRI function. …\n"],["run","ExecSandbox::Sandbox","ExecSandbox/Sandbox.html#method-i-run","(command, options = {})","<p>Runs a command in the sandbox.\n<p>@param [Array, String] command to be run; use an array to pass arguments …\n"],["set_principal","ExecSandbox::Spawn","ExecSandbox/Spawn.html#method-c-set_principal","(principal)","<p>Sets the process’ principal for access control.\n<p>@param [Hash] principal information about the process’ …\n"],["spawn","ExecSandbox::Spawn","ExecSandbox/Spawn.html#method-c-spawn","(command, io = {}, principal = {}, resources = {})","<p>Spawns a child process.\n<p>@param [String, Array] command the command to be executed via exec @param [Hash] …\n"],["temp","ExecSandbox::Users","ExecSandbox/Users.html#method-c-temp","(prefix = 'xsbx.rb')","<p>Creates an unprivileged user.\n<p>@param [String] prefix used at the beginning of temporary user names to …\n"],["use","ExecSandbox","ExecSandbox.html#method-c-use","(admin = Etc.getlogin, &block)","<p>Creates a sandbox, yields it, and destroys it.\n<p>@param [String] admin the name of a user who will be able …\n"],["wait4","ExecSandbox::Wait4","ExecSandbox/Wait4.html#method-c-wait4","(pid)","<p>Waits for a process to end, and collects its exit status and resource usage.\n<p>@param [Fixnum] pid the  …\n"],["wait4_nonblock","ExecSandbox::Wait4","ExecSandbox/Wait4.html#method-c-wait4_nonblock","(pid)","<p>Collects a child process’ exit status and resource usage.\n<p>@param [Fixnum] pid the PID of the process …\n"],["LICENSE","","LICENSE_txt.html","","<p>Copyright © 2011 Victor Costan\n<p>Permission is hereby granted, free of charge, to any person obtaining …\n"],["README","","README_rdoc.html","","<p>exec_sandbox\n<p>Description goes here.\n<p>Contributing to exec_sandbox\n"]]}}